import React from 'react'
import Product from './Product.jsx'
import { Col, Container, Row } from 'react-bootstrap';
import './ProductGrid.css'
export default function ProductGrid({productData}) {
	
	return (
		//uses react bootstrap components
		<Container id="prod-grid"  >
		<Row xs={1} sm={2} md={3} lg={4}>
		{productData.map((product) => {
			return (
				<Col key={product.sku}>
				<Product product={product}/>
				</Col>
				)
			})}
			</Row>
			</Container>
			
			//uses vanilla bootstrap
			// <div>
			//   	<h1 id="title">Inventory</h1>
			// 	<div className="container" id="prod-grid"  >
			// 	<div className="row row-cols-4">
			// 		{productData.map((product) => {
			// 			return (
			// 					<div className="col" key={product.sku}>
			// 						<Product product={product}/>
			// 					</div>
			
			// 			)
			// 		})}
			// 		</div>
			// 	</div>   
			// </div>
			)
		}
		